#define gitrev 9739b6a
#define gitdate 20161004
# Git repo: http://cgit.freedesktop.org/xorg/driver/xf86-video-qxl/

# How to prepare the source archive from the git tree:
# $ hash=`git log -1 --format='%h'`
# $ date=`git log -1 --format='%cd' --date=short | tr -d -`
# $ git archive --prefix xf86-video-qxl-${date}-git${hash}/ ${hash} \
#       | xz -7e > xf86-video-qxl-${date}-git${hash}.tar.xz

# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1
%define _disable_ld_no_undefined 1

Summary:	X.org driver for the QXL virtual GPUs
Name:		x11-driver-video-qxl
Version:	0.1.5
Release:	5
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-qxl-%{version}.tar.bz2
#Source0:	xf86-video-qxl-%{gitdate}-git%{gitrev}.tar.xz
BuildRequires:	pkgconfig(fontsproto)
BuildRequires:	pkgconfig(pciaccess) >= 0.10
BuildRequires:	pkgconfig(randrproto)
BuildRequires:	pkgconfig(renderproto)
BuildRequires:	pkgconfig(spice-protocol) >= 0.12.0
BuildRequires:	pkgconfig(videoproto)
BuildRequires:	pkgconfig(xf86dgaproto)
BuildRequires:	pkgconfig(xorg-macros) >= 1.4
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xfont)
BuildRequires:	pkgconfig(xfont2)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(udev)
Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)


%description
The QXL virtual GPU is found in the RedHat Enterprise
Virtualisation system, and also in the spice project.

%files
%doc COPYING NEWS README
%{_libdir}/xorg/modules/drivers/qxl_drv.so

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-video-qxl-%{version}
%apply_patches

%build
autoreconf -fvi
%configure2_5x
%make

%install
%makeinstall_std



%changelog
